<div class="content" [ngClass]="{'width-50': receiveConsoleVisible}" >
  <div class="description">
    <h2>This app is created to test <span class="websocket-url">{{websoketUrl}}</span> WebSocket.</h2>
    <p>Enter some JSON text and send it to the WebSocket.</p>
  </div>

  <div class="textbox-buttons">
    <input
      type="file"
      id="your-files"
      accept=".doc,.docx,.txt,.json"
      #fileInput
      hidden
      (click)="fileInput.value=''"
      (change)='download(fileInput.id)'>
    <button mat-raised-button color="primary" (click)="fileInput.click()" [disabled]="uploadingRunning | async">Upload text from the file</button>
    <button mat-raised-button color="primary" (click)="clearTextbox()" [disabled]="uploadingRunning | async">Clear textbox</button>
    <button mat-raised-button color="primary" (click)="sendText()" [disabled]="uploadingRunning | async">Send</button>
  </div>

  <div class="terminal">
    <textarea #textarea placeholder="Enter text here"></textarea>
  </div>
</div>
